# Type alias ViewPack

ViewPack: {
menu_label?: string;
on_menu?: boolean;
on_root_page?: boolean;
table?: string | null;
} & Omit<ViewCfg, "table">

#### Type declaration

- ##### `Optional` menu_label?: string

- ##### `Optional` on_menu?: boolean

- ##### `Optional` on_root_page?: boolean

- ##### `Optional` table?: string | null

- Defined in saltcorn-types/model-abstracts/abstract_view.ts:34

Generated using TypeDoc